<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="css/styles.css">
    <title>Formulários</title>
</head>
<body>
    <!-- CRIANDO FORM -->
    <div class="col-4 m-4">
        <h2>Formulário de registro</h2>
        <form>
            <div class="mb-4">
                <label for="email" class="form-label">E-mail</label>
                <input type="email" class="form-control" id="email" name="email" 
                aria-describedby="emailHelp" placeholder="Insira seu E-mail">
                <div id="emailHelp" class="form-text">Não compartilhamos seu endereço de E-mail.</div>
            </div>
            <div class="mb-4">
                <label for="password" class="form-label">Senha:</label>
                <input type="password" class="form-control" id="password" 
                name="password" placeholder="Digite a sua senha">
            </div>
            <!-- <input type="submit" class="btn btn-primary" value="Cadastrar"> -->
            <button type="submit" class="btn btn-primary">Cadastrar</button>
        </form>
    </div>

    <!-- FORM DESABILITADO -->
    <div class="col-4 m-4">
        <h2>Formulário desabilitado</h2>
        <form>
            <fieldset disabled>
                <div class="mb-4">
                    <label for="email" class="form-label">E-mail</label>
                    <!-- usuário não poderá digitar o e-mail até certo evento acontecer -->
                    <input type="email" class="form-control" id="email" name="email" 
                    aria-describedby="emailHelp" placeholder="Insire seu E-mail" disabled>
                    <div id="emailHelp" class="form-text">Não compartilhamos seu endereço de E-mail.</div>
                </div>
                <div class="mb-4">
                    <label for="password" class="form-label">Senha:</label>
                    <input type="password" class="form-control" id="password" 
                    name="password" placeholder="Digite a sua senha">
                </div>
                <!-- <input type="submit" class="btn btn-primary" value="Cadastrar"> -->
                <button type="submit" class="btn btn-primary">Cadastrar</button>
            </fieldset>
        </form>
    </div>

    <!-- FORM CONTROL -->
    <div class="m-4">
        <h2>Crie seu post</h2>
        <form>
            <div class="col-4 mb-4">
                <label for="title" class="form-label">Título do post:</label>
                <input type="text" class="form-control form-control-sm" id="title" placeholder="Digite seu título">
            </div>
            <div class="col-4 mb-4">
                <label for="content" class="form-label">Conteúdo:</label>
                <textarea class="form-control" placeholder="Digite o conteúdo do post" rows="5"></textarea>
            </div>
            <button type="submit" class="btn btn-success">Enviar</button>
        </form>
    </div>

    <!-- READ ONLY -->
    <div class="col-4 m-4">
        <h2>Formulário de read only</h2>
        <form>
            <div class="mb-4">
                <label for="email" class="form-label">E-mail</label>
                <input type="email" class="form-control" id="email2" name="email2" 
                placeholder="Insira seu E-mail" readonly value="tommynski@gmail.com">
            </div>
            <div class="mb-4">
                <label for="email" class="form-label">E-mail</label>
                <input type="email" class="form-control-plaintext" id="email3" name="email3" 
                placeholder="Insira seu E-mail" value="adriano.tavares@sempreceub.com" readonly>
            </div>
            <button type="submit" class="btn btn-primary">Cadastrar</button>
        </form>
    </div>

    <!-- INPUT DE ARQUIVOS -->
    <div class="col-4 m-4">
        <h2>Teste de input de arquivos</h2>
        <form>
            <div class="mb-4">
                <label for="foto" class="form-label">Apenas um arquivo:</label>
                <input type="file" class="form-control" id="foto">
            </div>
            <div class="mb-4">
                <label for="fotos" class="form-label">Múltiplos arquivos:</label>
                <input type="file" class="form-control" id="fotos" multiple>
            </div>
            <div class="mb-4">
                <label for="fotos2" class="form-label">Input file desabilitado:</label>
                <input type="file" class="form-control" id="fotos2" disabled>
            </div>
        </form>
    </div>

    <!-- OUTROS ELEMENTOS -->
    <div class="col-4 m-4">
        <h2>Outros inputs</h2>
        <form>
            <!-- DATA LIST -->
            <div class="mb-4">
                <label for="cidades" class="form-label">Selecione uma cidade</label>
                <input class="form-control" list="datalistOptions" id="cidades" 
                placeholder="Busque a sua cidade...">
                <datalist id="datalistOptions">
                    <option value="São Paulo">
                    <option value="Rio de Janeiro">
                    <option value="Florianópolis">
                    <option value="Porto alegre">
                </datalist>
            </div>

            <!-- COR -->
            <div class="mb-4">
                <label for="cor" class="form-label">Selecione a cor:</label>
                <input type="color" class="form-control form-control-color" id="cor" value="#000" 
                title="Escolha uma cor">
            </div>

            <!-- SELECT -->
            <div class="mb-4">
                <label for="opcoes" class="form-label">Selecione a sua:</label>
                <select name="opcoes" id="opcoes" class="form-select">
                    <option selected>Selecione uma opção...</option>
                    <option value="1">Primeira</option>
                    <option value="2">Segunda</option>
                    <option value="3">Terceira</option>
                </select>
            </div>

            <div class="mb-4">
                <select class="form-select" multiple>
                    <label for="opcoes" class="form-label">Selecione as suas:</label>
                    <option value="1">Maçã</option>
                    <option value="2">Banana</option>
                    <option value="3">Laranja</option>
                </select>
            </div>

            <div class="mb-4">
                <label for="opcoes" class="form-label">Selecione a sua:</label>
                <select name="opcoes2" id="opcoes2" class="form-select" disabled>
                    <option selected>Selecione uma opção...</option>
                    <option value="1">Primeira</option>
                    <option value="2">Segunda</option>
                    <option value="3">Terceira</option>
                </select>
            </div>

            <!-- CHECKBOX E  RADIO BUTTON -->
            <div class="mb-4">
                <h2>Marque as opções:</h2>
                <div class="form-check">
                    <input type="checkbox" id="privacidade" class="form-check-input">
                    <label for="privacidade" class="form-check-label">Aceitar termos de privacidade</label>
                </div>
                <div class="form-check">
                    <input type="checkbox" id="emails" class="form-check-input" checked>
                    <label for="emails" class="form-check-label">Quer receber os e-mails de propaganda?</label>
                </div>
                <div class="form-check">
                    <input type="checkbox" id="desabilitado" class="form-check-input" disabled checked>
                    <label for="desabilitado" class="form-check-label">Esta você não vai marcar</label>
                </div>
            </div>

            <div class="mb-4">
                <h2>Qual você quer?</h2>
                <div class="form-check">
                    <input type="radio" class="form-check-input" name="meu-radio" id="a" value="a" checked>
                    <label for="a" class="form-check-label">Radio checado</label>
                </div>
                <div class="form-check">
                    <input type="radio" class="form-check-input" name="meu-radio" id="b" value="b">
                    <label for="b" class="form-check-label">Radio para marcar</label>
                </div>
                <div class="form-check">
                    <input type="radio" class="form-check-input" name="meu-radio" id="c" value="c" disabled>
                    <label for="c" class="form-check-label">Radio desabilitado</label>
                </div>
            </div>

            <!-- SWITCH -->
            <div class="mb-4">
                <h2>Escolha suas configurações</h2>
                <div class="form-check form-switch">
                    <input type="checkbox" class="form-check-input" id="flex-switch">
                    <label for="flex-switch" class="form-label">Você quer ativar isto?</label>
                </div>
                <div class="form-check form-switch">
                    <input type="checkbox" class="form-check-input" id="flex-switch-disabled" disabled>
                    <label for="flex-switch" class="form-label">Switch desabilitado</label>
                </div>
            </div>

            <!-- RANGE -->
            <div class="mb-4">
                <h2>Por favor responda</h2>
                <label for="probabilidade" class="form-label">Qual a probabilidade de você
                indicar este site para alguém?</label>
                <input type="range" class="form-range" min="0" max="5" id="probabilidade">
            </div>
            <div class="mb-4">
                <h2>Input desabilitado</h2>
                <label for="probabilidade" class="form-label">Qual a probabilidade de você
                indicar este site para alguém?</label>
                <input type="range" class="form-range" min="0" max="5" id="probabilidade" disabled>
            </div>

            <!-- INPUT GROUPS -->
            <div class="input-group mb-4">
                <span class="input-group-text" id="basic-addon">@</span>
                <input type="email" class="form-control" placeholder="Digite o seu e-mail">
            </div>

            <div class="input-group mb-4">
                <span class="input-group-text" id="basic-addon2">#</span>
                <input type="text" class="form-control" placeholder="Digite o nome do canal">
            </div>

            <p>Quanto você quer depositar? (sem centavos)</p>
            <div class="input-group mb-4">
                <span class="input-group-text">R$</span>
                <input type="text" class="form-control" placeholder="Valor">
                <span class="input-group-text">,00</span>
            </div>

            <!-- LABEL FLUTUANTE -->
            <h2>Faça o login para continuar:</h2>
            <div class="form-floating mb-3">
                <input type="email" class="form-control" id="email" placeholder="Insira o seu e-mail">
                <label for="email">Insira o seu e-mail</label>
            </div>
            <div class="form-floating mb-3">
                <input type="password" class="form-control" id="password" placeholder="Insira a sua senha">
                <label for="password">Insira a sua senha</label>
            </div>
            <input type="submit" class="btn btn-primary" value="Entrar">
        </form>
    </div>

    <!-- LAYOUTS COM FORMS -->
    <div class="container col-6 mb-4">
        <h2>Cadastre-se preenchendo o formulário</h2>
        <form class="row g-3">
            <div class="col-md-6">
                <label for="email" class="form-label">Email:</label>
                <input type="email" class="form-control" id="email" placeholder="Digite o seu e-mail">
            </div>
            <div class="col-md-6">
                <label for="password" class="form-label">Senha:</label>
                <input type="password" class="form-control" id="password" placeholder="Digite a sua senha">
            </div>
            <div class="col-md-4">
                <label for="cep" class="form-label">CEP:</label>
                <input type="text" class="form-control" placeholder="Digite o seu CEP">
            </div>
            <div class="col-md-10">
                <label for="rua" class="form-label">Rua:</label>
                <input type="text" class="form-control" id="rua" placeholder="Digite a sua rua">
            </div>
            <div class="col-md-2">
                <label for="numero" class="form-label">Número:</label>
                <input type="text" class="form-control" id="numero" placeholder="Nº">
            </div>
            <div class="col-md-4">
                <label for="cidade" class="form-label">Cidade:</label>
                <input type="text" class="form-control" id="cidade" placeholder="Sua cidade">
            </div>
            <div class="col-md-4">
                <label for="estado" class="form-label">Estado:</label>
                <select name="estado" id="estado" class="form-select">
                    <option selected>Escolha</option>
                    <option value="1">...</option>
                </select>
            </div>
            <div class="col-12">
                <div class="form-check">
                    <input type="checkbox" class="form-check-input" id="newsletter">
                    <label for="newsletter" class="form-check-label">Receber newsletter?</label>
                </div>
            </div>
            <div class="col-12">
                <button type="submit" class="btn btn-primary">Cadastrar</button>
            </div>
        </form>
    </div>

</body>
</html>